{literal}
<script type="text/javascript">
    google.charts.load("current", {packages:["timeline"]});
    google.charts.setOnLoadCallback(drawChart);
    function drawChart() {
        var container = document.getElementById('{/literal}{$username}{literal}');
        var chart = new google.visualization.Timeline(container);
        var dataTable = new google.visualization.DataTable();
        dataTable.addColumn({ type: 'string', id: 'Name' });
        dataTable.addColumn({ type: 'string', id: 'Status' });
        dataTable.addColumn({ type: 'date', id: 'Start' });
        dataTable.addColumn({ type: 'date', id: 'End' });
        dataTable.addRows([
            {/literal}
            {foreach from=$data0 key=u_key item=data}
            [ '{$username}', '{$data['status']}', new Date(0,0,0,{$data['h_start']},{$data['m_start']},0), new Date(0,0,0,{$data['h_stop']},{$data['m_stop']},0)],
            {/foreach}
            {literal}
        ]);

        var options = {
            timeline: { showRowLabels: false },
            hAxis: {
                format: 'HH:mm'
            },
            colors: [
                {/literal}
                {foreach from=$data0 key=u_key item=data}
                {if $data['status'] eq 'online'}
                'green',
                {else}
                'red',
                {/if}
                {/foreach}
                {literal}
            ]
        };
        chart.draw(dataTable, options);
    }
</script>
{/literal}
